$(function()
{
    $(document).on('change', '[name^=account]', function()
    {
        var saleRule = v.saleRules[$(this).val()];
        if(saleRule === undefined) return false;

        if(saleRule.rule == 'fixed')
        {
            $(this).parents('tr').find('[name^=rate], [name^=money]').removeAttr('readonly');
        }
        if(saleRule.rule == 'multistep' || saleRule.rule == 'fixedMultistep')
        {
            $(this).parents('tr').find('[name^=rate], [name^=money]').attr('readonly', 'readonly').val('').change();
        }
    });

    $('[name^=account]').change();
});
